> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payout

> Get the payout with the given id, along with the itemized transactions included in the payout



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/payouts/payout
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/payouts/payout:
    get:
      tags:
        - Payouts
      summary: Get a payout
      description: >-
        Get the payout with the given id, along with the itemized transactions
        included in the payout
      operationId: getPayout
      parameters:
        - name: bankTransferId
          in: query
          description: Id of the bank transfer
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    PayoutDTOV5:
      type: object
      properties:
        bankTransferId:
          type: integer
          description: Id of the corresponding bank transfer
          format: int64
        status:
          type: string
          description: Status of the payout
          enum:
            - ACTIVE
            - INACTIVE
        type:
          type: string
          description: Type of the payout
          enum:
            - CONFIRMED
            - PENDING
            - MATCHED
        amount:
          type: number
          description: Total amount of the payout
          example: 50.01
        date:
          type: string
          description: 'Date of the payout '
          format: date
          example: '2021-01-04'
        description:
          type: string
          description: Description of the payout
          example: Online Banking payment
        creditAccountId:
          type: integer
          description: 'Id of the credit account associated with this payout '
          format: int64
        debitAccountId:
          type: integer
          description: 'Id of the debit account associated with this payout '
          format: int64
        apiTransactionId:
          type: string
          description: Id of the transaction on associated API
        bankAccountId:
          type: integer
          description: Id of the user's bank account
          format: int64
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiAccountName:
          type: string
          description: Display name for the bank account from which this payout originated
          example: Citi Premier® Card
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        matchingBankTransferId:
          type: integer
          description: Id of the bank transfer matching this payout
          format: int64
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        transactions:
          type: array
          description: The itemized transactions included in the payout
          items:
            $ref: '#/components/schemas/ItemizedTransaction'
    ItemizedTransaction:
      type: object
      properties:
        entity:
          type: string
          description: The Tight entity from which this transaction is sourced
          enum:
            - EXPENSE
            - REVENUE
            - BANK_TRANSFER
            - TAX_PAYMENT
            - INVOICE_PAYMENT
        entityId:
          type: integer
          description: >-
            Id of the Tight entity from which this transaction is sourced. If
            specified, the rest of the below fields are optional.
          format: int64
        status:
          type: string
          description: Status of the transaction
          enum:
            - ACTIVE
            - INACTIVE
        amount:
          type: number
          description: Amount of the transaction
        date:
          type: string
          description: Date of the transaction
          format: date-time
        bankAccountId:
          type: integer
          description: Id of the user's bank account
          format: int64
        description:
          type: string
          description: >-
            Description for the transaction, i.e. personal notes on the
            transaction
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        apiTransactionId:
          type: string
          description: Id of the transaction record in your DB
        apiAccountId:
          type: string
          description: Id of the user's bank account on associated API
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiAccountName:
          type: string
          description: >-
            Display name for the bank account from which the transaction
            originated
          example: Citi Premier® Card
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
      description: The itemized transactions included in the payout
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````